#if !defined(AFX_SYSPARAM_H__F17AD583_6FFB_4C3F_976A_B90B281B90E2__INCLUDED_)
#define AFX_SYSPARAM_H__F17AD583_6FFB_4C3F_976A_B90B281B90E2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SYSPARAM.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSYSPARAM dialog

class CSYSPARAM : public CDialog
{
// Construction
public:
	void ShowSystemParam();
	void SaveSysParam(int Axis);
	CSYSPARAM(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSYSPARAM)
	enum { IDD = IDD_DIALOG_SYSPARAM };
	DWORD	m_lPusleUnit;
	float	m_fHomeAddtime;
	float	m_fHomeRunSpd;
	float	m_fHomeStartSpd;
	float	m_fSearchRang;
	float	m_fSearchSpd;
	float	m_fWorkAddtime;
	float	m_fWorkRunSpd;
	float	m_fWorkStartSpd;
	int		m_nAxisNum;
	int		m_nDirLogic;
	int		m_nHomeLevel;
	int		m_nLimitLevel;
	int		m_nPulseLog;
	int		m_nPulseMode;
	int		m_nZPhasicLevel;
	BOOL	m_bLimitN;
	BOOL	m_bLimitP;
	BOOL	m_bZPhasic;
	BYTE	m_homestep;
	BOOL	m_bhomeaxis;
	BOOL	m_bHomeStop0;
	int		m_enbroadcast;
	BOOL	m_alarm;
	int		m_alarmlogic;
	int		m_alarm_out;
	int		m_alarm_out_logic;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSYSPARAM)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSYSPARAM)
	afx_msg void OnBtnLoadfsparam();
	afx_msg void OnBtnWrtfsparam();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnRadioAxisX();
	afx_msg void OnRadioAxisY();
	afx_msg void OnRadioAxisZ();
	afx_msg void OnRadioAxisA();
	afx_msg void OnCheckLimitp();
	afx_msg void OnCheckLimitn();
	afx_msg void OnCheckHome();
	afx_msg void OnCheckZphasic();
	afx_msg void OnRadioPulsemode0();
	afx_msg void OnRadioPulsemode1();
	afx_msg void OnRadioPulselog0();
	afx_msg void OnRadioPulselog1();
	afx_msg void OnRadioDirlogic0();
	afx_msg void OnRadioDirlogic1();
	afx_msg void OnRadioLmtLevel0();
	afx_msg void OnRadioLmtLevel1();
	afx_msg void OnRadioHomeLevel0();
	afx_msg void OnRadioHomeLevel1();
	afx_msg void OnRadioZphasicLevel0();
	afx_msg void OnRadioZphasicLevel1();
	afx_msg void OnChangeHomeStartSpeed();
	afx_msg void OnChangeWorkStartSpeed();
	afx_msg void OnChangeHomeRunSpeed();
	afx_msg void OnChangeWorkRunSpeed();
	afx_msg void OnChangeWorkAddTime();
	afx_msg void OnChangeHomeAddTime();
	afx_msg void OnChangeSearchSpeed();
	afx_msg void OnChangeSearchRange();
	afx_msg void OnChangePulseUnit();
	afx_msg void OnCheckBhome();
	afx_msg void OnChangeStep();
	afx_msg void OnALARM_LOGIL();
	afx_msg void OnALARM_LOGIH();
	afx_msg void OnEnbroadcast();
	afx_msg void OnDebroadcast();
	afx_msg void OnAlarm();
	afx_msg void OnAlarmoutlogic();
	afx_msg void OnAlarmoutlogicl();
	afx_msg void OnChangeAlarmout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYSPARAM_H__F17AD583_6FFB_4C3F_976A_B90B281B90E2__INCLUDED_)
